NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.CustomFeatureEvent Class Reference

Represents the event data for custom feature. More...

Inheritance diagram for NXOpen.Features.CustomFeatureEvent:
NXOpen.Features.CustomFeatureCreateFeatureGeometryEvent NXOpen.Features.CustomFeatureHighlightEvent NXOpen.Features.CustomFeatureInformationEvent NXOpen.Features.CustomFeatureInternalFeaturePreUpdateEvent NXOpen.Features.CustomFeatureModifyFeatureGeometryEvent NXOpen.Features.CustomFeaturePostUpdateEvent NXOpen.Features.CustomFeaturePreUpdateEvent

Public Types

enum  ParasolidId
  More...
 

Public Member Functions

unsafe
NXOpen.Features.CustomFeatureEvent.ParasolidId 
GetParasolidId (NXOpen.DisplayableObject solidTag)
 Get the Parasolid tag of Solid body More...
 
unsafe NXOpen.DisplayableObject GetNXObject (NXOpen.Features.CustomFeatureEvent.ParasolidId parasolidId)
 Returns the Solid body More...
 
unsafe
NXOpen.Features.ConstructionFeatureData[] 
GetConstructionFeatures ()
 The custom feature get construction features More...
 
unsafe
NXOpen.Features.OutputFeatureData[] 
GetOutputFeatures ()
 The output features created in post update event More...
 
unsafe
NXOpen.Features.CustomFeature 
GetCustomFeature ()
 Get the custom feature of the event More...
 

Properties

unsafe int ErrorCode [get, set]
 Returns or sets the error occured during the event More...
 

Detailed Description

Represents the event data for custom feature.

This class cannot be created

Created in NX11.0.0

Member Enumeration Documentation

Member Function Documentation

unsafe NXOpen.Features.ConstructionFeatureData [] NXOpen.Features.CustomFeatureEvent.GetConstructionFeatures ( )

The custom feature get construction features

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
Output array of NXOpen Features
unsafe NXOpen.Features.CustomFeature NXOpen.Features.CustomFeatureEvent.GetCustomFeature ( )

Get the custom feature of the event

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
The owning Custom Feature of feature that caused the event to fire
unsafe NXOpen.DisplayableObject NXOpen.Features.CustomFeatureEvent.GetNXObject ( NXOpen.Features.CustomFeatureEvent.ParasolidId  parasolidId)

Returns the Solid body

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
parasolidId
Returns
unsafe NXOpen.Features.OutputFeatureData [] NXOpen.Features.CustomFeatureEvent.GetOutputFeatures ( )

The output features created in post update event

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
Output array of NXOpen Features
unsafe NXOpen.Features.CustomFeatureEvent.ParasolidId NXOpen.Features.CustomFeatureEvent.GetParasolidId ( NXOpen.DisplayableObject  solidTag)

Get the Parasolid tag of Solid body

Created in NX11.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
solidTag
Returns

Property Documentation

unsafe int NXOpen.Features.CustomFeatureEvent.ErrorCode
getset

Returns or sets the error occured during the event

Created in NX11.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.